Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: wine\Не могу установить.  (Прочитано 9096 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 1323
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #15 : 03 Январь 2014, 20:37:06 »
Во-первых, "apt-get -f install",
во-вторых, перед установкой wine с winehq.org надо удалить
уже установленный, если он есть. Он, правда, будет удалён
автоматически ори установке новой версии, но всё равно рекомендуют,
в-тетьих, достаточно дать команду "apt-get install wine1.6",
установится всё, что надо.

Разрядность надо будет указать при конфигурировании, например,
заранее установить переменную окружения WINEARCH=win32.

У меня wine1.6 установился абсолютно без проблем,
но оказались проблемы в нём самом - не работает msiexec, сам wine
не может установить dotnet20, не помню, участвует ли в этом msiexec.
Пётр.

Оффлайн copernick

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #16 : 16 Февраль 2015, 16:39:17 »
Помогите решить:
ubuntu@workstation:~$ sudo apt-get install wine1.6
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  python-reportlab python-renderpm libart-2.0-2 hplip-data
  python-reportlab-accel
Для их удаления используйте «apt-get autoremove».
Предлагаемые пакеты:
  dosbox:any
НОВЫЕ пакеты, которые будут установлены:
  wine1.6
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 378 пакетов не обновлено.
не установлено до конца или удалено 3 пакетов.
Необходимо скачать 0 B/1.214 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 3.109 kB.
(Чтение базы данных ... на данный момент установлено 309522 файла и каталога.)
Распаковывается пакет wine1.6 (из файла .../wine1.6_1%3a1.6.1-0ubuntu1~ppa1~precise1_amd64.deb)...
dpkg: не удалось обработать параметр /var/cache/apt/archives/wine1.6_1%3a1.6.1-0ubuntu1~ppa1~precise1_amd64.deb (--unpack):
 попытка перезаписать «/usr/share/wine/l_intl.nls», который уже имеется в пакете libwine:i386 1.6.0-eter1ubuntu
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
Обрабатываются триггеры для desktop-file-utils ...
Обрабатываются триггеры для bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Обрабатываются триггеры для gnome-menus ...
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/wine1.6_1%3a1.6.1-0ubuntu1~ppa1~precise1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Оффлайн sipbarin

  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #17 : 03 Март 2015, 17:38:37 »
Здравствуйте. Возникла такая проблема при установлении wine программа предлагает удалить драйвер Nvidia. Вопрос, соглашаться на это действие?
« Последнее редактирование: 03 Март 2015, 19:45:43 от sipbarin »

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4094
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #18 : 03 Март 2015, 19:31:26 »
[b]sipbarin[/b], изобретён тег [co​de]куда вставляешь вывод. Мало кто будет загружать файл.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

Оффлайн sipbarin

  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #19 : 03 Март 2015, 19:48:15 »
[b]sipbarin[/b], изобретён тег [co​de]куда вставляешь вывод. Мало кто будет загружать файл.
Спасибо за совет. Но если по теме помочь?
Буду благодарен.

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4094
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #20 : 03 Март 2015, 19:52:27 »
sipbarin, мне лень загружать файл...
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

Оффлайн РыжийПёс

  • Активист
  • *
  • Сообщений: 459
  • 好红狼
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #21 : 08 Март 2015, 15:41:23 »
но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
Подобные ошибки выдаются при невозможности установить зависимости. Возможно, подключены не все репозитории (в смысле updates, backports, и так далее), возможно, установлено что-то, что мешает установки Wine, например какой-то пакет, который конфликтует с другим пакетом, входящим в дерево зависимостей wine, или просто конфликт версий ( то есть какой-то пакет, установленный вручную, имеет версию, возможно уже более новую, не удовлетворяющую дереву зависимостей, а откат на более раннюю версию для установки другого пакета в системе не предусмотрен).
В самом худшем случае делать можно так: пытаться установить требуемый пакет (который, по словам вашей системы "не будет установлен"), и смотреть на что система будет ругаться в этот раз; и так далее, до тех пор, пока не будет найден тот пакет, который и вызывает проблему.
Каждый отдельно взятый человек, перешедший на GNU Linux, приближает всё остальное человечество к Светлому Будущему.

Оффлайн GuardCat

  • Новичок
  • *
  • Сообщений: 15
    • Просмотр профиля
Re: Не могу установить wine.
« Ответ #22 : 22 Январь 2016, 18:53:34 »
Друзья, не бейте некропостера! Хочу помочь сообществу.
Есть решение!
Два дня решал проблему топикстартера, уже kubuntu 14.04 хотел менять на что-то другое...
В рунете решения не нашёл, но два дня надсадного гуглёжа помогли: ушлый дебианщик решил проблему. Решение http://ubuntuforums.org/archive/index.php/t-2188107.html на буржуйском (см. последнее сообщение). Под катом копипаста сообщения-чаши грааля(если там чего удалят).

(Нажмите, чтобы показать/скрыть)

Уверен, кому-то поможет.

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 5063
    • Просмотр профиля
Re: wine\Не могу установить.
« Ответ #23 : 17 Март 2016, 11:30:34 »
GuardCat, хорошо что вы нашли решение. Однако ему есть альтернатива: во-первых, Wine 1.7 уже староват, вместо него стабильный 1.8.1 и тестовый 1.9.5 (https://www.winehq.org/download), а во-вторых сейчас удобнее разные версии Wine ставить через Playonlinux.

Оффлайн Givizub

  • Старожил
  • *
  • Сообщений: 1339
  • Ubuntu 16.04, х64
    • Просмотр профиля
Re: wine\Не могу установить.
« Ответ #24 : 17 Март 2016, 20:21:44 »
Точно такая же проблема при установке Wine на Ubuntu 12.04:
Цитировать
Пакеты, имеющие неудовлетворённые зависимости:
 wine : Зависит: wine1.6 но он не будет установлен или
                        wine1.7 но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
Не совсем понял, что нужно делать для решения этого..

И еще на 12.04 команда dpkg --add-architecture i386 не работает.

Проблема в библиотеках libgl1-mesa-glx:i386 и libgl1-mesa-glx. Wine нормально установился после их переустановки.
« Последнее редактирование: 17 Март 2016, 21:36:12 от Givizub »

Оффлайн trade85

  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Re: wine\Не могу установить.
« Ответ #25 : 21 Март 2016, 19:09:17 »
Мне помогло следующее:
sudo dpkg --configure -a
увидел список пакетов из-за которых не устанавливается пакет. Дальше удалил их через sudo dpkg -r "имя пакета"

Оффлайн NikolayS

  • Участник
  • *
  • Сообщений: 197
    • Просмотр профиля
Re: wine\Не могу установить.
« Ответ #26 : 31 Июль 2016, 22:28:31 »
Народ мне помогло следующее: Я зашел в Параметры системы => Программы и обновления и во вкладке "Обновления" поставил галку Рекомендованные обновления (xenial-updates)  и Вайн встала Версия ОС 16.4

Оффлайн Roman3rd

  • Любитель
  • *
  • Сообщений: 58
    • Просмотр профиля
Не могу установить wine
« Ответ #27 : 19 Август 2016, 17:58:27 »
Срочно потребовалось запустить несложный тест (вопрос-ответ) на моей машине. тест- самоустанавливающийся архив под винду. Пытаюсь установить вайн из центра приложений Ubuntu- не дает,ругается, что есть неустранимые завсимости.. Посоветуйте, что делать?

Онлайн skybour

  • Старожил
  • *
  • Сообщений: 2177
    • Просмотр профиля
Re: Не могу установить wine
« Ответ #28 : 19 Август 2016, 18:02:05 »
Показывай на что ругается. А лучше покажи выхлоп
Код: Bash
  1. sudo apt-get install wine

Оффлайн Roman3rd

  • Любитель
  • *
  • Сообщений: 58
    • Просмотр профиля
Re: Не могу установить wine
« Ответ #29 : 19 Август 2016, 23:07:39 »
Вот:

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 wine : Зависит: wine1.4 но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

 

Страница сгенерирована за 0.29 секунд. Запросов: 24.